<?php
/**
 * @category   Alogic
 * @package    Alogic_Distributor
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Distributor\Block;

use Magento\Framework\View\Element\Template\Context;
use Alogic\Distributor\Model\DistributorFactory;
use Magento\Cms\Model\Template\FilterProvider;
/**
 * Distributor View block
 */
class DistributorView extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Distributor
     */
    protected $_distributor;
    public function __construct(
        Context $context,
        DistributorFactory $distributor,
        FilterProvider $filterProvider
    ) {
        $this->_distributor = $distributor;
        $this->_filterProvider = $filterProvider;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Alogic Distributor Module View Page'));
        
        return parent::_prepareLayout();
    }

    public function getSingleData()
    {
        $id = $this->getRequest()->getParam('id');
        $distributor = $this->_distributor->create();
        $singleData = $distributor->load($id);
        if($singleData->getDistributorId() || $singleData['distributor_id'] && $singleData->getStatus() == 1){
            return $singleData;
        }else{
            return false;
        }
    }
}